# Utilities

The Utilities plugin is a collection of functions and services that can be used to enhance the functioning of applications.

The following *services* are available to schedule execution of Functions:

* Timer
* Cron

The available *functions* are:

* Assert: When run-time checks are used to assert the validity of predicates are included in a Function.
* CommandLine: When a Function includes the running of commands from the Command Line Interface.
* Sleep: When a Function has to be paused for a specified length of time.

### Links <a href="#links" id="links"></a>

[Utilities License](/reference/plugins/utilities/license.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/utilities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
